summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorCecil Hugh Watson <knoppmyth@gmail.com>2010-09-05 06:06:29 (GMT)
committerCecil Hugh Watson <knoppmyth@gmail.com>2010-09-05 06:06:29 (GMT)
commit803cc182a37c98230e24a96cbcd95c4a14b5a228 (patch)
tree15a6d3e864e062feb492c4eb237fb002fb6738fe
parent78a3ef57a70a33968943235df28c662064caaf3e (diff)
downloadlinhes_pkgbuild-803cc182a37c98230e24a96cbcd95c4a14b5a228.zip
linhes_pkgbuild-803cc182a37c98230e24a96cbcd95c4a14b5a228.tar.gz
linhes_pkgbuild-803cc182a37c98230e24a96cbcd95c4a14b5a228.tar.bz2
cvs:Bumped/Updated for LinHES 7.
-rw-r--r--abs/extra-testing/cvs/PKGBUILD26
-rw-r--r--abs/extra-testing/cvs/cvs-1.11.23-getline64.patch34
-rw-r--r--abs/extra-testing/cvs/cvs.install20
3 files changed, 71 insertions, 9 deletions
diff --git a/abs/extra-testing/cvs/PKGBUILD b/abs/extra-testing/cvs/PKGBUILD
index 488f4a0..26b95db 100644
--- a/abs/extra-testing/cvs/PKGBUILD
+++ b/abs/extra-testing/cvs/PKGBUILD
@@ -1,20 +1,28 @@
-# $Id: PKGBUILD 20493 2008-12-05 11:27:50Z allan $
-# Maintainer: dorphell <dorphell@archlinux.org>
+# $Id: PKGBUILD 75326 2010-04-01 10:25:20Z allan $
+# Contributor: dorphell <dorphell@archlinux.org>
+
pkgname=cvs
pkgver=1.11.23
-pkgrel=3
+pkgrel=5
pkgdesc="Concurrent Versions System - a source control system"
arch=(i686 x86_64)
-url="http://ximbiot.com/cvs/wiki/index.php"
+url="http://cvs.nongnu.org"
license=('GPL')
-depends=('heimdal>=1.2')
-source=(ftp://ftp.gnu.org/non-gnu/cvs/source/stable/$pkgver/$pkgname-$pkgver.tar.bz2)
-md5sums=('0213ea514e231559d6ff8f80a34117f0')
+depends=('heimdal>=1.3.1')
+optdepends=('openssh: for using cvs over ssh' 'inetutils: for using cvs over rsh')
+install=cvs.install
+source=(ftp://ftp.gnu.org/non-gnu/cvs/source/stable/$pkgver/$pkgname-$pkgver.tar.bz2
+ cvs-1.11.23-getline64.patch)
+sha256sums=('400f51b59d85116e79b844f2d5dbbad4759442a789b401a94aa5052c3d7a4aa9'
+ '9126d7992ace943980ad8a10d5a09aeb6f1eeeb9b921fc796fe31de7b1c220cf')
build() {
- cd $startdir/src/$pkgname-$pkgver
+ cd $srcdir/$pkgname-$pkgver
unset EDITOR VISUAL
+
+ patch -Np1 -i $srcdir/cvs-1.11.23-getline64.patch || return 1
./configure --prefix=/usr
make || return 1
- make DESTDIR=$startdir/pkg install
+ make DESTDIR=$pkgdir install
+ rm ${pkgdir}/usr/share/info/dir
}
diff --git a/abs/extra-testing/cvs/cvs-1.11.23-getline64.patch b/abs/extra-testing/cvs/cvs-1.11.23-getline64.patch
new file mode 100644
index 0000000..99942e0
--- /dev/null
+++ b/abs/extra-testing/cvs/cvs-1.11.23-getline64.patch
@@ -0,0 +1,34 @@
+--- cvs-1.11.23/lib/getline.c 2005-04-04 22:46:05.000000000 +0200
++++ cvs-1.11.23/lib/getline.c.old 2008-06-03 19:06:25.000000000 +0200
+@@ -154,7 +154,7 @@
+ return ret;
+ }
+
+-int
++ssize_t
+ getline (lineptr, n, stream)
+ char **lineptr;
+ size_t *n;
+@@ -163,7 +163,7 @@
+ return getstr (lineptr, n, stream, '\n', 0, GETLINE_NO_LIMIT);
+ }
+
+-int
++ssize_t
+ getline_safe (lineptr, n, stream, limit)
+ char **lineptr;
+ size_t *n;
+--- cvs-1.11.23/lib/getline.h 2005-04-04 22:46:05.000000000 +0200
++++ cvs-1.11.23/lib/getline.h.old 2008-06-03 19:06:27.000000000 +0200
+@@ -11,9 +11,9 @@
+
+ #define GETLINE_NO_LIMIT -1
+
+-int
++ssize_t
+ getline __PROTO ((char **_lineptr, size_t *_n, FILE *_stream));
+-int
++ssize_t
+ getline_safe __PROTO ((char **_lineptr, size_t *_n, FILE *_stream,
+ int limit));
+ int
diff --git a/abs/extra-testing/cvs/cvs.install b/abs/extra-testing/cvs/cvs.install
new file mode 100644
index 0000000..f1cdd1f
--- /dev/null
+++ b/abs/extra-testing/cvs/cvs.install
@@ -0,0 +1,20 @@
+infodir=/usr/share/info
+filelist=(cvs.info cvs-info-1 cvs-info-2 cvsclient.info)
+
+post_install() {
+ for file in ${filelist[@]}; do
+ install-info $infodir/$file $infodir/dir 2> /dev/null
+ done
+}
+
+post_upgrade() {
+ post_install $1
+}
+
+pre_remove() {
+ for file in ${filelist[@]}; do
+ install-info --delete $infodir/$file $infodir/dir 2> /dev/null
+ done
+}
+
+# vim:set ts=2 sw=2 et: